// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.controllers' is found in controllers.js
angular.module('starter', ['ionic', 'starter.controllers'])

.run(function($ionicPlatform) {
  $ionicPlatform.ready(function() {
    //Push Notification
	//var push = new Ionic.Push({
    //  "debug": true
    //});
    //push.register(function(token) {
    //  console.log("Device token:",token.token);
    //});	
	
	// Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if (window.cordova && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
      cordova.plugins.Keyboard.disableScroll(true);

    }
    if (window.StatusBar) {
      // org.apache.cordova.statusbar required
      StatusBar.styleDefault();
    }
  });  
})

.config(function($stateProvider, $urlRouterProvider) {
  $stateProvider

  .state('app', {
    url: '/app',
    abstract: true,
    templateUrl: 'templates/menu.html',
    controller: 'AppCtrl'
  })

  .state('app.home', 			{ url: '/home', 						views: { 'menuContent': { templateUrl: 'templates/home.html', 			controller: 'HomeController' } } })
  .state('app.shoplists', 		{ url: '/shoplists', 					views: { 'menuContent': { templateUrl: 'templates/shoplists.html', 		controller: 'ShopListsController' } } })
  .state('app.shop', 			{ url: '/shoplists/:shopId',			views: { 'menuContent': { templateUrl: 'templates/shop.html',  			controller: 'ShopController' } } })
  .state('app.productlists',	{ url: '/productlists',		    		views: { 'menuContent': { templateUrl: 'templates/productlists.html', 	controller: 'ProductListsController' } } })
  .state('app.product', 		{ url: '/productlists/:productId',		views: { 'menuContent': { templateUrl: 'templates/product.html',  		controller: 'ProductController' } } })
  .state('app.promotionlists',	{ url: '/promotionlists',	    		views: { 'menuContent': { templateUrl: 'templates/promotionlists.html',	controller: 'PromotionListsController' } } })
  .state('app.promotion', 		{ url: '/promotionlists/:promotionId',	views: { 'menuContent': { templateUrl: 'templates/promotion.html',  	controller: 'PromotionController' } } })

  
  // if none of the above states are matched, use this as the fallback
  $urlRouterProvider.otherwise('/app/home');
});
